Subject: Progression of VR and IPsec Architectures

From: Ross Callon <[email-masked]>
Date: Wed, 12 May 2004 14:38:00 -0400

In reviewing the VR and IPsec architectures and associated applicability
statements, the IESG has pointed out that the documents do not actually
read as standards, in the sense that they don't specify what needs to be
implemented for interoperability.

This gives us two choices:

One option would be to publish the documents in approximately their
current form as informational RFCs.

The second option would be to update the documents to specify which
features need to be implemented to allow interoperability between different
implementations.

Note that the VR architecture already contains a few MUST and
SHOULD statements, particularly in section 2. However, it is not clear
whether the sum of the MUST's which are present are sufficient to
ensure interoperability. For example, there is no single discovery
scheme which MUST be implemented (would the MUST apply to
implementation of discovery via manual configuration??).

The CE-based VPN architecture based on IPsec contains a significant
number of MUST statements. However, these are primarily of the form
"for such a feature to work, the implementation MUST operate as follows",
rather than of the form "to be compliant, the implementation MUST
implement the following protocol or feature".

As a working group, we need to decide whether to publish the current
documents as informational, or to begin a process of determining which
features are MUST versus which are SHOULD or MAY, in order to ensure
interoperability, and thereby allow us to progress the documents on the
standards track.

Comments?

thanks, Ross

---

From: "Paul Knight" <[email-masked]>
Date: Mon, 17 May 2004 16:59:29 -0400

Hi Ross and all,

I am contacting the authors and contributors of the VR draft, VR
Applicability Statement, and VR MIB to get comments concerning the way to
move forward with the VR architecture.  We should be able to provide some
input by the end of this week.

Regards,
Paul Knight
Editor, Virtual Router draft

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Ross Callon
> Sent: Wednesday, May 12, 2004 2:38 PM
> To: [email-masked]
> Subject: Progression of VR and IPsec Architectures
> 
> 
> In reviewing the VR and IPsec architectures and associated 
> applicability statements, the IESG has pointed out that the 
> documents do not actually read as standards, in the sense 
> that they don't specify what needs to be implemented for 
> interoperability.
> 
> One option would be to publish the documents in approximately 
> their current form as informational RFCs.
> 
> The second option would be to update the documents to specify 
> which features need to be implemented to allow 
> interoperability between different implementations.
> 
> SHOULD statements, particularly in section 2. However, it is 
> not clear whether the sum of the MUST's which are present are 
> sufficient to ensure interoperability. For example, there is 
> no single discovery scheme which MUST be implemented (would 
> the MUST apply to implementation of discovery via manual 
> configuration??).
> 
> The CE-based VPN architecture based on IPsec contains a 
> significant number of MUST statements. However, these are 
> primarily of the form "for such a feature to work, the 
> implementation MUST operate as follows", rather than of the 
> form "to be compliant, the implementation MUST implement the 
> following protocol or feature".
> 
> As a working group, we need to decide whether to publish the 
> current documents as informational, or to begin a process of 
> determining which features are MUST versus which are SHOULD 
> or MAY, in order to ensure interoperability, and thereby 
> allow us to progress the documents on the standards track.
> 
> Comments?
> 
> thanks, Ross
> 
> 
>